Show / Hide Table of Contents

# Struct ImGuiSizeCallbackData

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetType()

###### Namespace: ImGuiNET

###### Assembly: ImGui.NET.dll

##### Syntax

    public struct ImGuiSizeCallbackData

### Fields

| Improve this Doc View Source

#### CurrentSize

##### Declaration

    public Vector2 CurrentSize

##### Field Value

Type | Description
--- | ---
System.Numerics.Vector2 |

| Improve this Doc View Source

#### DesiredSize

##### Declaration

    public Vector2 DesiredSize

##### Field Value

Type | Description
--- | ---
System.Numerics.Vector2 |

| Improve this Doc View Source

#### Pos

##### Declaration

    public Vector2 Pos

##### Field Value

Type | Description
--- | ---
System.Numerics.Vector2 |

| Improve this Doc View Source

#### UserData

##### Declaration

    public void *UserData

##### Field Value

Type | Description
--- | ---
System.Void* |